swagger: "2.0"
info:
  description: "This is a server for smart building."
  version: "1.0.0"
  title: "IoT smart building"
  contact:
    email: "wittwer.david1@gmail.com"
host: "iot.wittwer.xyz"
basePath: "/api"
tags:
- name: "rooms"
  description: "Everything about the rooms"
- name: "store"
  description: "Access to Petstore orders"
- name: "user"
  description: "Operations about user"
schemes:
- "http"
paths:
  /rooms/list:
    get:
      tags: 
      - "rooms"
      summary: "get rooms info"
      consumes: 
      - application/json
      produces: 
      - application/json
      responses:
        200:
          description: "Success response"
          schema:
            type: array
            items:
              $ref: '#/definitions/roomInfo'
securityDefinitions:
  petstore_auth:
    type: "oauth2"
    authorizationUrl: "http://petstore.swagger.io/oauth/dialog"
    flow: "implicit"
    scopes:
      write:pets: "modify pets in your account"
      read:pets: "read your pets"
  api_key:
    type: "apiKey"
    name: "api_key"
    in: "header"
definitions: 
  roomInfo:
    properties:
      id:
        type: integer
        description: "Id of the room"
      name: 
        type: string
        description: "Name of the room"
      sensors:
        type: array
        description: "Sensors of the room"
        items:
          $ref: '#/definitions/sensorInfo'
      actuator:
        type: array
        description: "Actuators of the room"
        items:
          $ref: '#/definitions/actuatorInfo'
  sensorInfo:
    properties:
      id:
        type: integer
      name:
        type: string
  actuatorInfo:
    properties:
      id:
        type: integer
      name:
        type: string
      
